use crate::{StateTransition, context::Context};

pub trait Screen {
    fn handle_frame(&mut self, ctx: &mut Context);
    fn handle_messages(&mut self, ctx: &mut Context) -> Option<StateTransition>;
}
